Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.metadata
Interface Metadata

All Known Implementing Classes:
  AbstractMetadata, AttributeDisplayName, AttributeSet, AttributeSetDisplayName, AttributeSetMapping, FrameworkSetting, MetadataObject, MetadataProperty, SimpleMetadataObject

    public interface Metadata

Interface representing a metadata record that abstracts the basic properties of a Liferay-generated record persisted to the metadata tables.

Author:
  Endeca Technologies, Inc.

Method Summary
`java.lang.String` | `getDescription()` get the description
`java.lang.String` | `getFeature()` get the feature
`java.lang.String` | `getKey()` get the key
`java.util.Date` | `getLastUpdated()` get the last-updated date
`java.lang.String` | `getLocale()` get the locale
`long` | `getObjectId()` get the object ID of the source record.
`java.lang.String` | `getRel()` get the relationship
`java.lang.String` | `getSource()` get the source
`java.lang.String` | `getType()` Gets the domain-specific type of object.
`java.lang.String` | `getValue()` get the value
`void` | `setObjectId(long id)` set the object ID of the source record

Method Detail

### getType

    java.lang.String getType()

  Gets the domain-specific type of object. This is an abstract class meant to be implemented by an extension of this class.

  Returns:
    the type of metadata this object represents

### getObjectId

    long getObjectId()

  get the object ID of the source record.

  Returns:
    the id

### setObjectId

    void setObjectId(long id)

  set the object ID of the source record

  Parameters:
    `id` - the id

### getKey

    java.lang.String getKey()

  get the key

  Returns:
    the key

### getRel

    java.lang.String getRel()

  get the relationship

  Returns:
    the relationship

### getValue

    java.lang.String getValue()

  get the value

  Returns:
    the value

### getFeature

    java.lang.String getFeature()

  get the feature

  Returns:
    the feature

### getLocale

    java.lang.String getLocale()

  get the locale

  Returns:
    the locale

### getSource

    java.lang.String getSource()

  get the source

  Returns:
    the source

### getDescription

    java.lang.String getDescription()

  get the description

  Returns:
    the description

### getLastUpdated

    java.util.Date getLastUpdated()

  get the last-updated date

  Returns:
    the date

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD